Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.ui
Class GenerateAction

    java.lang.Object
      com.ssaglobal.generator.ui.GenerateAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate, org.eclipse.ui.IWorkbenchWindowActionDelegate

    public abstract class GenerateAction

extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate, org.eclipse.ui.IWorkbenchWindowActionDelegate

Base class for `GenerateTemplatePackage` actions

Author:
  jsipher

Field Summary
`protected org.eclipse.ui.IWorkbenchWindow` | `currentWorkbenchWindow`
`protected org.eclipse.jface.viewers.ISelection` | `selection`
`protected org.eclipse.ui.IWorkbenchPart` | `targetPart`

Constructor Summary
`GenerateAction()` Constructor for Action1.

Method Summary
`void` | `dispose()`
`abstract org.eclipse.ui.plugin.AbstractUIPlugin` | `getExtensionPlugin()` Get the template package's `Plugin` instance.
`void` | `init(org.eclipse.ui.IWorkbenchWindow anWindow)`
`protected boolean` | `isEnabled()` Check if the action is enabled.
`void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` | `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selection

    protected org.eclipse.jface.viewers.ISelection selection

### targetPart

    protected org.eclipse.ui.IWorkbenchPart targetPart

### currentWorkbenchWindow

    protected org.eclipse.ui.IWorkbenchWindow currentWorkbenchWindow

Constructor Detail

### GenerateAction

    public GenerateAction()

  Constructor for Action1.

Method Detail

### getExtensionPlugin

    public abstract org.eclipse.ui.plugin.AbstractUIPlugin getExtensionPlugin()

  Get the template package's `Plugin` instance.

  Returns:
    Extension plugin

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`
  See Also:
    `IObjectActionDelegate.setActivePart(IAction, IWorkbenchPart)`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(IAction, ISelection)`

### isEnabled

    protected boolean isEnabled()

  Check if the action is enabled. The selection is set, and must be used. The following should be changed for your plugin to get it working: - Add extension point org.eclipse.ui.startup. - Implement IStartup in your plugin and add empty method earlyStartup(). Otherwise it is possible that the plugin is not yet started This should be done to get the enabling/disabling working

  Parameters:
    `selection` -
  Returns:
    if the action should be enabled

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

### init

    public void init(org.eclipse.ui.IWorkbenchWindow anWindow)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD